Skip to content
Docs

Update an access group

POSThttps://api.vercel.com/v1/access-groups/{idOrName}
Allows to update an access group metadata
https://api.vercel.com/v1/access-groups/{idOrName}
const response = await fetch('https://api.vercel.com/v1/access-groups/idOrName?teamId=string&slug=string', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"name": "My access group",
"projects": [
{
"projectId": "prj_ndlgr43fadlPyCtREAqxxdyFK",
"role": "ADMIN"
}
],
"membersToAdd": [],
"membersToRemove": []
}),
});
const data = await response.json();
console.log(data);
Response
{
"accessGroupId": "ag_123a6c5209bc3778245d011443644c8d27dc2c50",
"createdAt": "1588720733602",
"entitlements": [],
"membersCount": "5",
"name": "my-access-group",
"projectsCount": "2",
"teamId": "team_123a6c5209bc3778245d011443644c8d27dc2c50",
"teamPermissions": [],
"teamRoles": [],
"updatedAt": "1588720733602"
}
AuthorizationbearerToken

Default authentication mechanism

idOrNamestringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
namestringOptional
The name of the access group
projectsarrayOptional
membersToAddarrayOptional
List of members to add to the access group.
membersToRemovearrayOptional
List of members to remove from the access group.
200Success
accessGroupIdstringRequired
ID of the access group.
createdAtstringRequired
Timestamp in milliseconds when the access group was created.
entitlementsarrayRequired
membersCountnumberRequired
Number of members in the access group.
namestringRequired
The name of this access group.
projectsCountnumberRequired
Number of projects in the access group.
teamIdstringRequired
ID of the team that this access group belongs to.
teamPermissionsarrayOptional
Permissions that the team has in the access group.
teamRolesarrayOptional
Roles that the team has in the access group.
updatedAtstringRequired
Timestamp in milliseconds when the access group was last updated.
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error